Page MenuHomePhabricator

Clean up ScoreLookup implementations
Closed, ResolvedPublic

Description

Right now, ScoreLookup interface has two implementations: 1- ScoreFetcher which gets scores from the ores service 2- SqlScoreLookup which looks up the scores from the database. The interface is designed with too much of knowledge about the implementation causing inconsistency between these two. ScoreFetcher::getScores needs to be cleaned (specially regarding usecases) and the interface needs to be adjusted.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJan 22 2018, 10:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 406609 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] Make ScoreFetcher and SqlScoreLookup implement different interfaces

https://gerrit.wikimedia.org/r/406609

Change 406609 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Make ScoreFetcher and SqlScoreLookup implement different interfaces

https://gerrit.wikimedia.org/r/406609

Halfak added a subscriber: Halfak.Mar 7 2018, 11:29 PM

Did this get deployed?

Halfak closed this task as Resolved.Mar 8 2018, 5:04 PM
awight mentioned this in Unknown Object (Phame Post).May 2 2018, 6:41 PM
awight mentioned this in Unknown Object (Phame Post).
awight mentioned this in Unknown Object (Phame Post).